﻿using Infragistics.Win.DataVisualization;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraDataChartSaveToImageDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private async void ultraButton1_Click(object sender, EventArgs e)
        {
            SetChart1(ultraDataChart1);

            ultraDataChart1.Flush();

            Size size = new Size(488, 268);

            string fileName = "test.png";

            if (File.Exists(fileName))
            {
                File.Delete(fileName);
            }            

            await Task.Delay(2000);

            ultraDataChart1.SaveTo("test.png", System.Drawing.Imaging.ImageFormat.Png, size);
        }

        private void SetChart1(UltraDataChart chart)
        {
            chart.Series.Clear();
            //이전 데이터 사용할거면 아래 축 초기화 X
            chart.Axes.Clear();

            Model1 model1 = new Model1()
            {
                Name = "model1",
                Data1 = 2,
                Data2 = 2
            };

            List<Model1> data = new List<Model1>() { model1 };


            var xAxis = new CategoryXAxis
            {
                Label = "Name",
                DataSource = data,
                LabelLocation = AxisLabelsLocation.OutsideBottom
            };

            var yAxis = new NumericYAxis
            {
                Title = "titleY",

                //MinimumValue = Math.Round(data[0].Plus / 2)
            };

            for (int i = 0; i < 2; i++)
            {
                var series = new ColumnSeries
                {
                    DataSource = data,
                    ValueMemberPath = i == 0 ? "Data1" : "Data2",
                    XAxis = xAxis,
                    YAxis = yAxis,
                    IsHighlightingEnabled = true,
                    IsTransitionInEnabled =  true,
                    ShowDefaultTooltip = true,

                };
                chart.Series.Add(series);
            }

            chart.Axes.Add(xAxis);
            chart.Axes.Add(yAxis);
        }
    }

    public class Model1
    {
        public string Name { get; set; }

        public double Data1 { get; set; }
        public double Data2 { get; set; }

    }
}
